import { Co2LineChart } from "./Co2LineChart";
import { useState, useEffect } from 'react'
import './App.css'

function App() {

  const [co2data, setCo2data] = useState([]);

  useEffect(() => {
    setCo2data([]);
    //const url = "https://my.api.mockaroo.com/co2.json?key=8eb9e6f0";
    const url = "CO2EmissionsData.json";

    fetch(url)
      .then(data => data.json())
      .then(data => {
        setCo2data(data);
      });
  }, [])


  return (


    <>
      {co2data.length > 0 &&
        <Co2LineChart myData={co2data}></Co2LineChart>
      }
    </>

  )
}

export default App
